Subject: bug#58486: [PATCH] Prevent .dir-locals.el from being byte-compiled

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Oct 2022 22:16:01 +0300

>>   (defvar auto-mode-alist
>>        ...
>>        ;; .dir-locals.el is not really Elisp.  Could use the
>>        ;; `dir-locals-file' constant if it weren't defined below.
>>        ("\\.dir-locals\\(?:-2\\)?\\.el\\'" . lisp-data-mode)
>
> To stay in the spirit of bug#58075, if we consider the major mode
> specified in `auto-mode-alist` (and `mode:` cookies) as a proxy for
> "file type", maybe we should arrange to try and avoid byte-compiling
> those `.el` files whose major mode is `lisp-data-mode` (or: is not
> `emacs-lisp-mode`)?

I don't know if such case is possible that auto-mode-alist specifies
lisp-data-mode for a file type to avoid byte-compiling, but
some file of that type needs to override its file type's default
by using a cookie `no-byte-compile: nil`?